Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.jyconsole
Class JyConsole

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.artenum.jyconsole.JyConsole

All Implemented Interfaces:
  javax.accessibility.Accessible, AutoScrollable, java.awt.event.ComponentListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class JyConsole
extends javax.swing.JPanel
implements java.awt.event.ComponentListener, AutoScrollable

      <b>Project ref           :</b> JyConsole project
      <b>Copyright and license :</b> See relevant sections
      <b>Status                :</b> under development
      <b>Creation              :</b> 04/03/2005
      <b>Modification          :</b>

      <b>Description  :</b> Main component of JyConsole.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation
0.2 | Colin Crist, colincrist@hermesjms.com | Contribution integrated by Sebastien Jourdain, jourdain@artenum.com

Version:
  0.1
Author:
  Sebastien Jourdain
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` | `COPYRIGHT`
`static java.lang.String` | `CREDITS`
`static java.lang.String` | `HEADER`
`static java.lang.String` | `LICENSE`
`static java.lang.String` | `PREF_BG_COLOR`
`static java.lang.String` | `PREF_COMMAND_RUNNER`
`static java.lang.String` | `PREF_ERROR_TXT_COLOR`
`static java.lang.String` | `PREF_FILE_PATH`
`static java.lang.String` | `PREF_INIT_LOADING_SCRIPT`
`static java.lang.String` | `PREF_NORMAL_TXT_COLOR`
`static java.lang.String` | `PREF_PRINT_ERROR_STREAM`
`static java.lang.String` | `PREF_PRINT_STD_STREAM`
`static java.lang.String` | `PREF_SCRIPT_DIR`
`static java.lang.String` | `PREF_WARNING_TXT_COLOR`
`static java.lang.String` | `STYLE_ERROR`
`static java.lang.String` | `STYLE_NORMAL`
`static java.lang.String` | `STYLE_WARNING`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JyConsole()`
`JyConsole(CommandRunner commandRunner)`
`JyConsole(org.python.core.PyObject pyObj)`
`JyConsole(org.python.core.PyObject pyObj, CommandRunner commandRunner)`

Method Summary
`void` | `applyPreferences()`
`void` | `clear()`
`void` | `componentHidden(java.awt.event.ComponentEvent e)`
`void` | `componentMoved(java.awt.event.ComponentEvent e)`
`void` | `componentResized(java.awt.event.ComponentEvent e)`
`void` | `componentShown(java.awt.event.ComponentEvent e)`
`void` | `copyright()`
`void` | `credits()`
`void` | `executeCmdLine()`
`void` | `executePythonFile(java.io.File pyFile)`
`java.awt.Point` | `getCompletionWindowLocation()`
`InteractiveCommandLine` | `getInteractiveCommandLine()`
`java.lang.String` | `getInterpreterThreadName()`
`java.util.Hashtable` | `getPreferences()`
`JInteractiveInterpreter` | `getPythonInterpreter()`
`void` | `killCurrentThread()`
`void` | `license()`
`static void` | `main(java.lang.String[] args)`
`void` | `savePreferences()`
`void` | `setBoldToStyle(java.lang.String styleName, boolean bold)`
`void` | `setColor(java.awt.Color fg, java.awt.Color bg)`
`void` | `setColorToStyle(java.lang.String styleName, java.awt.Color fg)`
`void` | `setCommandRunner(CommandRunner commandRunner)`
`void` | `setItalicToStyle(java.lang.String styleName, boolean italic)`
`void` | `showNextCmdInHistory()`
`void` | `showPreviousCmdInHistory()`
`void` | `updateScrollPosition()`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HEADER

    public static final java.lang.String HEADER

See Also:
  Constant Field Values

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

### LICENSE

    public static final java.lang.String LICENSE

See Also:
  Constant Field Values

### CREDITS

    public static final java.lang.String CREDITS

See Also:
  Constant Field Values

### PREF_FILE_PATH

    public static final java.lang.String PREF_FILE_PATH

See Also:
  Constant Field Values

### PREF_SCRIPT_DIR

    public static final java.lang.String PREF_SCRIPT_DIR

See Also:
  Constant Field Values

### PREF_ERROR_TXT_COLOR

    public static final java.lang.String PREF_ERROR_TXT_COLOR

See Also:
  Constant Field Values

### PREF_NORMAL_TXT_COLOR

    public static final java.lang.String PREF_NORMAL_TXT_COLOR

See Also:
  Constant Field Values

### PREF_WARNING_TXT_COLOR

    public static final java.lang.String PREF_WARNING_TXT_COLOR

See Also:
  Constant Field Values

### PREF_BG_COLOR

    public static final java.lang.String PREF_BG_COLOR

See Also:
  Constant Field Values

### PREF_COMMAND_RUNNER

    public static final java.lang.String PREF_COMMAND_RUNNER

See Also:
  Constant Field Values

### PREF_PRINT_ERROR_STREAM

    public static final java.lang.String PREF_PRINT_ERROR_STREAM

See Also:
  Constant Field Values

### PREF_PRINT_STD_STREAM

    public static final java.lang.String PREF_PRINT_STD_STREAM

See Also:
  Constant Field Values

### PREF_INIT_LOADING_SCRIPT

    public static final java.lang.String PREF_INIT_LOADING_SCRIPT

See Also:
  Constant Field Values

### STYLE_NORMAL

    public static final java.lang.String STYLE_NORMAL

See Also:
  Constant Field Values

### STYLE_WARNING

    public static final java.lang.String STYLE_WARNING

See Also:
  Constant Field Values

### STYLE_ERROR

    public static final java.lang.String STYLE_ERROR

See Also:
  Constant Field Values

Constructor Detail

### JyConsole

    public JyConsole()

### JyConsole

    public JyConsole(CommandRunner commandRunner)

### JyConsole

    public JyConsole(org.python.core.PyObject pyObj)

### JyConsole

    public JyConsole(org.python.core.PyObject pyObj,
                     CommandRunner commandRunner)

Method Detail

### setCommandRunner

    public void setCommandRunner(CommandRunner commandRunner)

### getInterpreterThreadName

    public java.lang.String getInterpreterThreadName()

### main

    public static void main(java.lang.String[] args)

### applyPreferences

    public void applyPreferences()

### savePreferences

    public void savePreferences()

### getPreferences

    public java.util.Hashtable getPreferences()

### getCompletionWindowLocation

    public java.awt.Point getCompletionWindowLocation()

### getInteractiveCommandLine

    public InteractiveCommandLine getInteractiveCommandLine()

### showPreviousCmdInHistory

    public void showPreviousCmdInHistory()

### showNextCmdInHistory

    public void showNextCmdInHistory()

### executeCmdLine

    public void executeCmdLine()

### executePythonFile

    public void executePythonFile(java.io.File pyFile)

### killCurrentThread

    public void killCurrentThread()

### clear

    public void clear()

### copyright

    public void copyright()

### credits

    public void credits()

### license

    public void license()

### getPythonInterpreter

    public JInteractiveInterpreter getPythonInterpreter()

### setColor

    public void setColor(java.awt.Color fg,
                         java.awt.Color bg)

### setColorToStyle

    public void setColorToStyle(java.lang.String styleName,
                                java.awt.Color fg)

### setBoldToStyle

    public void setBoldToStyle(java.lang.String styleName,
                               boolean bold)

### setItalicToStyle

    public void setItalicToStyle(java.lang.String styleName,
                                 boolean italic)

### updateScrollPosition

    public void updateScrollPosition()

  Specified by:
    `updateScrollPosition` in interface `AutoScrollable`

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`

### componentHidden

    public void componentHidden(java.awt.event.ComponentEvent e)

  Specified by:
    `componentHidden` in interface `java.awt.event.ComponentListener`

### componentMoved

    public void componentMoved(java.awt.event.ComponentEvent e)

  Specified by:
    `componentMoved` in interface `java.awt.event.ComponentListener`

### componentShown

    public void componentShown(java.awt.event.ComponentEvent e)

  Specified by:
    `componentShown` in interface `java.awt.event.ComponentListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com